> ## Documentation Index
> Fetch the complete documentation index at: https://docs.file.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get file schema values by fileIds

> Get file schema values by fileIds of the current organization and workspace.

This endpoint is paginated, you can use the `page` and `limit` query parameters to control the pagination.

For table/list fields with more than 100 rows, use `includeFullTableData=true` to retrieve all rows from S3 storage.



## OpenAPI

````yaml get /prod/v1/files/{fileId}/values
openapi: 3.0.0
info:
  title: Public API
  description: >-

    ### Welcome to fileAI’s Public API Documentation.

    This API allows users to check the health of the system, upload and manage
    files, and manage AI Schemas.

    Should you have any questions, please reach out to fileAI via the “Contact a
    Developer” link below.



    [Contact a Developer](mailto:support@file.ai)



    ### Prerequisites


    Before using our API, please ensure you complete the following prerequisites

    - You must have a fileAI account. Sign up or login
    [here](https://orion.file.ai/en/sign-up)

    - You must have an API Key. After creating your fileAI account, you can
    generate your API Key. Refer to the Authentication section below for more
    details.



    ### Authentication

    All API requests require an API key for authentication.

    - To obtain your API key, please log in to your fileAI account and navigate
    to Project Settings in your dashboard

    - Keep your API key secure and do not share it publicly.


    ![Authentication](https://fileai-static-assets.s3.us-west-2.amazonaws.com/public-api-service/authentication.png)


    ### How to Use Your API Key

    Once you have your API key:

    - Click the Authorize button on the top-right of this page

    - Enter your API Key under Value

    - Click Authorize to start making authenticated requests directly from the
    documentation


    ![How to Use Your API
    Key](https://fileai-static-assets.s3.us-west-2.amazonaws.com/public-api-service/how-to-use-api-keys.png)
        
  version: '1.0'
  contact: {}
servers:
  - url: https://api.orion.file.ai
security: []
tags:
  - name: Public API V1
paths:
  /prod/v1/files/{fileId}/values:
    get:
      tags:
        - Public API V1
      summary: Get file schema values by fileIds
      description: >-
        Get file schema values by fileIds of the current organization and
        workspace.


        This endpoint is paginated, you can use the `page` and `limit` query
        parameters to control the pagination.


        For table/list fields with more than 100 rows, use
        `includeFullTableData=true` to retrieve all rows from S3 storage.
      operationId: PublicAPIController_getDocumentSchemaValues
      parameters:
        - name: fileId
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            default: 1
            example: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            default: 100
            example: 100
            type: number
        - name: sortBy
          required: false
          in: query
          description: Field to sort by
          schema:
            default: createdAt
            example: createdAt
            type: string
        - name: sortOrder
          required: false
          in: query
          description: Sort direction
          schema:
            default: ASC
            example: ASC
            enum:
              - ASC
              - DESC
            type: string
        - name: includeFullTableData
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: The file schema values are retrieved
          content:
            application/json:
              example:
                values:
                  formValues:
                    - id: 67ea5f20650d2fb5e33c1ffb
                      fileId: 7870a865-d560-4183-82c1-4b10e696e930_2
                      fileName: 7870a865-d560-4183-82c1-4b10e696e930_2.pdf
                      fileType: application/pdf
                      createdAt: '2025-03-31T09:50:56.068Z'
                      updatedAt: '2025-03-31T09:50:56.068Z'
                      schemaRelationshipId: 67ea5f20650d2fb5e33c1ffb
                      schemaName: Education Certificate
                      languageCode: null
                      originalBlueprintFormValuesId: null
                      fields:
                        - title: Degree
                          type: string
                          description: The degree obtained by the individual
                          format: null
                          hidden: false
                          value: Bachelor of Mathematics
                          items: null
                        - title: Department
                          type: string
                          description: The department where the degree was obtained
                          format: null
                          hidden: false
                          value: Mathematics Department
                          items: null
                      metadata:
                        createdBy: 67ea5edb650d2fb5e33c1ff2
                        userId: 67ea5edb650d2fb5e33c1ff2
                        organizationId: 67ea5f20650d2fb5e33c1ffb
                        workspaceId: 67ea5f07650d2fb5e33c1ff4
                  count: 1
                  currentPage: 1
              schema:
                type: object
                properties:
                  values:
                    type: object
                    properties:
                      formValues:
                        type: array
                        items:
                          type: object
                      count:
                        type: number
                      currentPage:
                        type: number
        '401':
          description: Invalid API key | API key is missing
          content:
            application/json:
              example:
                message: Invalid API key | API key is missing
                error: Unauthorized
                statusCode: 401
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: string
                  statusCode:
                    type: number
        '403':
          description: Access denied. You are in readonly mode.
          content:
            application/json:
              example:
                message: Access denied. You are in readonly mode.
                error: Forbidden
                statusCode: 403
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: string
                  statusCode:
                    type: number
        '422':
          description: Invalid fileId. | FileIds is required
          content:
            application/json:
              example:
                message: Invalid fileId. | FileIds is required
                error: Unprocessable Entity
                statusCode: 422
              schema:
                type: object
                properties:
                  message:
                    type: string
                  error:
                    type: string
                  statusCode:
                    type: number
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                statusCode: 429
                message: Too Many Requests
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  message:
                    type: string
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication

````